Name:           spatialite-gui
Version:        1.5.0
Release:        3%{?dist}
Summary:        GUI to manage Spatialite databases

Group:          Applications/Databases
License:        GPLv3+
URL:            https://www.gaia-gis.it/fossil/spatialite_gui
Source0:        http://www.gaia-gis.it/gaia-sins/spatialite_gui-%{version}-stable.tar.gz

# No libspatialite for ppc, see
# https://bugzilla.redhat.com/show_bug.cgi?id=663938
ExcludeArch:    ppc64

BuildRequires:  desktop-file-utils
BuildRequires:  freexl-devel
BuildRequires:  libspatialite-devel
BuildRequires:  libgaiagraphics-devel
BuildRequires:  wxGTK-devel
BuildRequires:  sqlite-devel
BuildRequires:  geos-devel
BuildRequires:  proj-devel

%description
GUI to manage Spatialite databases.


%prep
%setup -q -n spatialite_gui-%{version}-stable

# Delete shebang from desktop file
#TODO: Clarify
sed -i '1d' gnome_resource/%{name}.desktop

# Remove existing Makefiles
rm -f Makefile-static*


%build

%configure  \
        --disable-static \
        --enable-unicode \
        --enable-graphics_ctx
make %{?_smp_mflags}

#TODO: Only works with libspatialite 3, it seems -- at least if you enable freexl


%install
make install DESTDIR=%{buildroot}

# Install icon and desktop file
# Mailed the author
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -pm 0644 gnome_resource/%{name}.png %{buildroot}%{_datadir}/pixmaps

desktop-file-install                               \
--dir=%{buildroot}%{_datadir}/applications         \
gnome_resource/%{name}.desktop


%files
%doc COPYING
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul  6 2012 Volker Fröhlich <volker27@gmx.at> 1.5.0-2
- Add forgotten BR freexl-devel

* Wed Jan 11 2012 Volker Fröhlich <volker27@gmx.at> 1.5.0-1
- Update for new release
- Update URL and source URL
- Correct license to GPLv3+
- Drop patch for wxwidget (solved)
- Use upstreams desktop file and icon
- Don't modify linker flags anymore (solved)

* Mon Jan  9 2012 Volker Fröhlich <volker27@gmx.at> 1.4.0-3
- Exclude ppc64 architecture

* Wed Jan  8 2012 Volker Fröhlich <volker27@gmx.at> 1.4.0-2
- Remove post and postun sections with useless ldconfig

* Wed Dec  4 2011 Volker Fröhlich <volker27@gmx.at> 1.4.0-1
- Initial packaging 
